// Resource Brick

// Brick Data
datablock fxDtsBrickData(ResourceBrickData : brick2x2RampPrintData)
{
	category = "RP Admin";
	subcategory = "Admin event bricks";
	
	uiName = "Resource brick";
	
	specialBrickType = "";
	
	isInfoBrick = 1;
	adminOnly = 1;
};

// Brick functions

// Activate data
function ResourceBrickData::Activate(%datablock, %client)
{
	%ore = %client.RPData.value["ore"];
	%wood = %client.RPData.value["wood"];
	%fish = %client.RPData.value["fish"];
	// No resources
	if (%ore <= 0 && %wood <= 0 && %fish <= 0)
	{
		%client.activateDatablock = 0;
		messageClient(%client, '', "\c3You have no resources.");
		return false;
	}
	messageClient(%client, '', "\c3Resources");
	// You have ores
	if (%ore > 0)
		messageClient(%client, '', "\c31. \c6Sell ores");
	// You have wood
	if (%wood > 0)
		messageClient(%client, '', "\c32. \c6Sell logs");
	// You have fish
	if (%fish > 0)
		messageClient(%client, '', "\c33. \c6Sell fish");
	if (%ore > 0 || %wood > 0 || %fish > 0)
		messageClient(%client, '', "\c34. \c6Sell all");
	%client.activateDatablock = %datablock;
	%client.activateState = 0;
	return true;
}

// Handle data
function ResourceBrickData::parseData(%datablock, %client, %text)
{
	%client.ThrowLastActive();
	%ID = %client.bl_id;
	
	%number = mFloor(%text);
	switch (%client.activateState)
	{
		// Start
		case 0:
			switch (%number)
			{
				// Sell ores
				case 1:
					%ore = %client.RPData.value["ore"] * $RP::pref::gain::money::ore;
					if (%ore == 0)
						return false;
					
					%client.RPData.value["ore"] = 0;
					%client.RPData.value["money"] += %ore;
					messageClient(%client, '', '\c6You sold \c3ores\c6 for \c3%1\c6.', prepareDisplayMoney(%ore));
					%client.displayInfo();
					%client.stopActivate();
				// Sell logs
				case 2:
					%wood = %client.RPData.value["wood"] * $RP::pref::gain::money::wood;
					if (%wood == 0)
						return false;
					
					%client.RPData.value["wood"] = 0;
					%client.RPData.value["money"] += %wood;
					messageClient(%client, '', '\c6You sold \c3logs\c6 for \c3%1\c6.', prepareDisplayMoney(%wood));
					%client.displayInfo();
					%client.stopActivate();
				// Sell fish
				case 3:
					%fish = %client.RPData.value["fish"] * $RP::pref::gain::money::fish;
					if (%fish == 0)
						return false;
					
					%client.RPData.value["fish"] = 0;
					%client.RPData.value["money"] += %fish;
					messageClient(%client, '', '\c6You sold \c3fish\c6 for \c3%1\c6.', prepareDisplayMoney(%fish));
					%client.displayInfo();
					%client.stopActivate();
				// Sell all
				case 4:
					// Ore
					%ore = %client.RPData.value["ore"] * $RP::pref::gain::money::ore;
					if (%ore > 0)
					{
						%client.RPData.value["ore"] = 0;
						%client.RPData.value["money"] += %ore;
						messageClient(%client, '', '\c6You sold \c3ores\c6 for \c3%1\c6.', prepareDisplayMoney(%ore));
					}
					
					// Wood
					%wood = %client.RPData.value["wood"] * $RP::pref::gain::money::wood;
					if (%wood > 0)
					{
						%client.RPData.value["wood"] = 0;
						%client.RPData.value["money"] += %wood;
						messageClient(%client, '', '\c6You sold \c3logs\c6 for \c3%1\c6.', prepareDisplayMoney(%wood));
					}
					
					// Fish
					%fish = %client.RPData.value["fish"] * $RP::pref::gain::money::fish;
					if (%fish > 0)
					{
						%client.RPData.value["fish"] = 0;
						%client.RPData.value["money"] += %fish;
						messageClient(%client, '', '\c6You sold \c3fish\c6 for \c3%1\c6.', prepareDisplayMoney(%fish));
					}
					%client.displayInfo();
					%client.stopActivate();
				// Invalid
				default:
					%client.stopActivate();
					return false;
			}
		// Invalid
		default:
			%client.stopActivate();
			return false;
	}
	return true;
}